Can't connect to database!!!

This is an archive of the phpBB 2.0.x support forum. Support for phpBB2 has now ended.
Forum rules
Following phpBB2's EoL, this forum is now archived for reference purposes only.
Please see the following announcement for more information: viewtopic.php?f=14&t=1385785
Locked
03swalker
Registered User
Posts: 15
Joined: Mon Nov 14, 2005 7:38 pm

Can't connect to database!!!

Post by 03swalker »

This is complicated so you have been warned.

I had phpBB on a free host on the web which used MySQL4.x, PHP 5 and Apache 2.x, with everything on default ports.

Now I wanted the forum on my PC so I took a backup of phpbb databases from in phpMyAdmin and downloaded all files in the phpBB directory.

My PC has MySQL5 on port 3306, PHP 5 and Apache 2.x on port 5325 so I imported the database and files into my server on my PC and changed the config.php file to reflect the changes:
I updated: $dbms to mysql, $dbhost to localhost, and the username and password as appropriate.

Now whenever I go to do something like login and administrtion panel I get connection refused, but I can see my boards and post fine.

Any ideas?

Thanks
Last edited by 03swalker on Sun Nov 20, 2005 6:56 pm, edited 1 time in total.
User avatar
KevC
Support Team Member
Support Team Member
Posts: 70072
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Post by KevC »

phpBB isn't php5 compatabale. Try downgrading to php4.
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"
03swalker
Registered User
Posts: 15
Joined: Mon Nov 14, 2005 7:38 pm

Post by 03swalker »

*swears under breath*

Anyone have any ideas when it will be?
MarkTheDaemon
Former Team Member
Posts: 2770
Joined: Thu Oct 20, 2005 2:42 am
Location: United Kingdom
Name: Mark Barnes

Post by MarkTheDaemon »

In the next version of phpBB 2.2

Downgrading is easy :wink:


Mark
03swalker
Registered User
Posts: 15
Joined: Mon Nov 14, 2005 7:38 pm

Post by 03swalker »

Kevin Clark wrote: phpBB isn't php5 compatabale. Try downgrading to php4.


What about MySQL will that work? Or won't it?
User avatar
CTCNetwork
Former Team Member
Posts: 15424
Joined: Fri Dec 19, 2003 3:50 am
Location: In that Volvo behind you!
Contact:

Post by CTCNetwork »

Hi,

Uhhhh... I thought that some of the recent changes, including those in 2.0.18, were there to actually bring a modicum of compatability with PHP5.x ??

Along with This change

Des. . . :?
Last edited by CTCNetwork on Sun Nov 20, 2005 6:38 pm, edited 1 time in total.
Density:- Not just a measurement~Its a whole way of Life.! ! !
| Welcome! | RTFM!!! | Search! It's Easy! | Problem? | Spam? | Advice! |
MarkTheDaemon
Former Team Member
Posts: 2770
Joined: Thu Oct 20, 2005 2:42 am
Location: United Kingdom
Name: Mark Barnes

Post by MarkTheDaemon »

Not as far as i'm aware of. It certanly doesn't work on my test box with php 5 on for me


Mark
User avatar
KevC
Support Team Member
Support Team Member
Posts: 70072
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Post by KevC »

I think some work arounds were added to .18 but I was just trying to make things a lot easier for him.
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"
03swalker
Registered User
Posts: 15
Joined: Mon Nov 14, 2005 7:38 pm

Post by 03swalker »

Just one last thing.

I've downgraded to php4.

Now I can't view my forum it says: error could not connect to database

And phpMyAdmin won't connect either.

HELP PLEASE!!
RancerDS
Registered User
Posts: 9
Joined: Sat Jul 16, 2005 5:12 am

Verify on Database

Post by RancerDS »

1.) Be sure the MYSQL database files are in the Window's path environment.

2.) When you are running the install\install.php form...
You can safely use "root" as the Database Username. Try the password you may have entered during MySQL during the setup/configuration. Then try without the password if that doesn't work.

Hope you find this to be the solution for your situation
icy-flame
Registered User
Posts: 1
Joined: Tue Dec 30, 2003 1:08 am

PHP5's problem?

Post by icy-flame »

Are you sure its PHP5's problem?

Am running a server on FC4 using:
httpd-2.0.54-10.2
php-5.0.4-10.5
mysql-4.1.14-1.FC4.1

Had some glitch when it was HTTPS(443) only, but as soon as I create a virtual host for HTTP (80) everything works fine.

Did u tried phpMyAdmin? can u access the DB from there?
[iCy-fLaME]
The body maybe wounded, but it is the mind that hurts.
03swalker
Registered User
Posts: 15
Joined: Mon Nov 14, 2005 7:38 pm

Post by 03swalker »

ok.. This actual problem is now solved. Please lock thanks.

Also I posted another topic with an un-related problem (I think).

Thanks for all the help.
Locked

Return to “2.0.x Support Forum”